Bug 46477 - Extrusion does not apply Drawing Scale
Summary: Extrusion does not apply Drawing Scale
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2012-02-22 12:37 UTC by Paul Mirowsky
Modified: 2018-10-06 22:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Rectangles extruded (8.70 KB, application/vnd.oasis.opendocument.graphics)
2012-02-22 12:37 UTC, Paul Mirowsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Mirowsky 2012-02-22 12:37:25 UTC
Created attachment 57480 [details]
Rectangles extruded

LibreOffice Draw
 General
  Unit of measurement <centimeter>
Scale
 Drawing Scale 1:4

Create a rectangular box.
Click on [depth] icon.

Entering [Depth] -> Custom 
  Displays incorrect proportion sized object

Suggestion:

When clicking on [depth] icon. Result in query "0, 1, 2.5, 5, 10, Infinity, Custom"
Should be either Infinity or Custom
Reason: Trying to suggest what is unique is less possible than just not guessing at all. 

When clicking on [depth] icon.
 Allow direct entry of measurement or infinity
 If direct, allow selection of measurement type IE:inch mm cm ft
    <Use Default "Unit of measurement" if not overridden 
    If overridden, then use math interpolation to give drawing "Unit of measurement"

Now Dim is correct.
Comment 1 QA Administrators 2014-10-24 03:18:25 UTC Comment hidden (obsolete)
Comment 2 QA Administrators 2015-12-20 16:09:20 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:47:04 UTC Comment hidden (obsolete)
Comment 4 Paul Mirowsky 2017-01-04 15:56:31 UTC
LibreOffice Version: 5.2.3.3
Windows 7 Pro
Scale
 Drawing Scale 1:4
Created a 4" x 4" box
Added Depth: 4"

Still visually incorrect.
Comment 5 QA Administrators 2018-01-05 03:41:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug